Package org.freeplane.api

# Interface MindMapRO

All Known Subinterfaces:
  `Map`, `MapRO`, `MindMap`, `Proxy.Map`, `Proxy.MapRO`, `Proxy.MindMap`, `Proxy.MindMapRO`

public interface MindMapRO
The map a node belongs to: `node.map` - read-only.

Since:
  1.7.10

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBackgroundColor()`
`String`
`getBackgroundColorCode()`
returns HTML color spec like #ff0000 (red) or #222222 (darkgray).
`File`
`getFile()`
returns the filenname of the map as a java.io.File object if available or null otherwise.
`String`
`getName()`
returns the title of the MapView.
`Node`
`getRoot()`
`Node`
`getRootNode()`
Deprecated.
since 1.2 - use `getRoot()` instead.
`boolean`
`isSaved()`
`Node`
`node(String id)`
get node by id.

## Method Details

### getRoot

Node getRoot()

Since:
  1.2

### getRootNode

@Deprecated Node getRootNode()
Deprecated.
since 1.2 - use `getRoot()` instead.

### node

Node node(String id)
get node by id.

Returns:
  the node if the map contains it or null otherwise.

### getFile

File getFile()
returns the filenname of the map as a java.io.File object if available or null otherwise.

### getName

String getName()
returns the title of the MapView.

Since:
  1.2

### isSaved

boolean isSaved()

Since:
  1.2

### getBackgroundColor

Color getBackgroundColor()

Since:
  1.2

### getBackgroundColorCode

String getBackgroundColorCode()
returns HTML color spec like #ff0000 (red) or #222222 (darkgray).

Since:
  1.2